summaryrefslogtreecommitdiff
path: root/home/xyz/.local/bin/upd
diff options
context:
space:
mode:
Diffstat (limited to 'home/xyz/.local/bin/upd')
-rwxr-xr-xhome/xyz/.local/bin/upd126
1 files changed, 126 insertions, 0 deletions
diff --git a/home/xyz/.local/bin/upd b/home/xyz/.local/bin/upd
new file mode 100755
index 00000000..b3839539
--- /dev/null
+++ b/home/xyz/.local/bin/upd
@@ -0,0 +1,126 @@
+#!/bin/sh
+
+all () {
+ fast
+ usb
+ qb
+ kg
+ ncm
+ refl
+ gall
+}
+
+# not in all
+clean () {
+ nsxiv -c
+ # my ways
+ # -exec can't replace -execdir here
+ find "$XDG_CACHE_HOME/nsxiv/" -depth -type d -empty -execdir rmdir -- '{}' \+
+ # -exec can replace -execdir here
+ #find "$XDG_CACHE_HOME/nsxiv/" -depth -type d -execdir rmdir --ignore-fail-on-non-empty -- '{}' \+
+ # nsxiv man page way
+ #find "$XDG_CACHE_HOME/nsxiv/" -depth -type d -empty ! -name '.' -exec rmdir -- '{}' \;
+
+ rm "$HOME/.mozilla/firefox/xxxxxxxx.fly/prefs.js.backup."*
+
+ # https://unix.stackexchange.com/questions/92095/reset-atq-list-to-zero
+ sudo systemctl stop atd
+ echo 0 | sudo tee /var/spool/atd/.SEQ > /dev/null
+ sudo systemctl start atd
+}
+
+# basic daily stuff
+fast () {
+ pac
+ misc
+}
+
+gall () {
+ gallery-dl --download-archive "$XDG_DOCUMENTS_DIR/database/gallery-dl.sqlite3" -d "$XDG_PICTURES_DIR/anime/gallery-dl/" -i "$XDG_CONFIG_HOME/myconf/gallery_urls"
+}
+
+userjs () {
+ kill $(pidof "$BROWSER")
+ "$HOME/.mozilla/firefox/xxxxxxxx.fly/prefsCleaner.sh" -s
+ "$HOME/.mozilla/firefox/xxxxxxxx.fly/updater.sh" -us
+}
+
+kg () {
+ curlkg -u649b9e82272a348b -- "$XDG_MUSIC_DIR/not_pure/lan_lan/kg/"
+ curlkg -u64949d822c25328c -- "$XDG_MUSIC_DIR/not_pure/cheng_ruan/kg/"
+}
+
+misc () {
+ cfg -c submodule foreach git pull
+ "$EDITOR" +PlugUpgrade +PlugClean! +PlugUpdate +qa
+ tldr --update
+ sudo hardcode-fixer
+ userjs
+}
+
+ncm () {
+ curlncm -a48860966 -- "$XDG_MUSIC_DIR/not_pure/lan_lan/ncm/artist/"
+ curlncm -a46703185 -- "$XDG_MUSIC_DIR/not_pure/cheng_ruan/ncm/artist/"
+ curlncm -a30382647 -- "$XDG_MUSIC_DIR/not_pure/qi_tian_sakura/ncm/artist/"
+
+ curlncm -r793052426 -- "$XDG_MUSIC_DIR/not_pure/lan_lan/ncm/djradio/"
+ curlncm -r792968433 -- "$XDG_MUSIC_DIR/not_pure/cheng_ruan/ncm/djradio/"
+ curlncm -r792042397 -- "$XDG_MUSIC_DIR/not_pure/qi_tian_sakura/ncm/djradio/"
+}
+
+pac () {
+ pacpacs="$(sudo pacman --noconfirm -Syu | tee /dev/tty | grep '^Packages' | cut -d' ' -f3-)"
+ aurpacs="$(paru --noconfirm -aSyu | tee /dev/tty | grep '^Aur' | cut -d' ' -f3-)"
+ # part steal from aur comment
+ # sometimes "ERROR: Failure while downloading": https://github.com/neovim/neovim/issues/15709
+ rm -rf ~/.cache/paru/clone/neovim-nightly-bin/ && yes 1 | PARU_PAGER=cat paru --rebuild --redownload neovim-nightly-bin
+ sudo pacman -Fy
+ # pacdiff default use pacman database, so no need `sudo -E` for find, but will be a little bit slower
+ log="$log
+updated pacman packages: $pacpacs
+updated aur packages: $aurpacs
+pacdiff: $(pacdiff -o | tr '\n' ' ')
+"
+}
+
+qb () {
+ rm -r -- "$HOME/programs/qbittorrent_search_plugins/"
+ curlqb "$HOME/programs/qbittorrent_search_plugins/"
+}
+
+refl () {
+ sudo reflector --save /etc/pacman.d/mirrorlist --latest 200 --sort rate
+}
+
+usb () {
+ cfg -c push usb
+ cfg -l push usb
+ cfg -s push
+ git --git-dir="$XDG_DOCUMENTS_DIR/notes/.git/" --work-tree="$XDG_DOCUMENTS_DIR/notes/" push usb
+}
+
+
+if [ $# -eq 0 ]; then
+ fast
+else
+ while getopts acfgjkmnpqru opt; do
+ case $opt in
+ a)all;;
+ # not in all
+ c)clean;;
+ f)fast;;
+ g)gall;;
+ j)userjs;;
+ k)kg;;
+ m)misc;;
+ n)ncm;;
+ p)pac;;
+ q)qb;;
+ r)refl;;
+ u)usb;;
+ \?)exit 1;;
+ esac
+ done
+fi
+
+printf '%s' "$log"